# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see .
#
# test various uses of source -p
: ${THIS_SH:=./bash}
PATH=/bin:/usr/bin:/sbin:/usr/sbin
: ${TMPDIR:=/var/tmp}
export TDIR=${TMPDIR}/cwd-$$
export SDIR=${TMPDIR}/source-$$
mkdir -p $TDIR || { echo "$TDIR: cannot create" >&2; exit 1; }
mkdir -p $SDIR || { echo "$SDIR: cannot create" >&2; exit 1; }
cd ${TDIR} || { echo "${TDIR}: cannot cd" >&2; exit 1; }
FN=${SDIR}/improbable-filename
cat >$FN << EOF
echo an improbable filename
EOF
cat >cwd-filename <